﻿using System.Collections.Generic;

using Newtonsoft.Json;

namespace TestProject
{
    /// <summary>
    /// 메일
    /// </summary>
    public class Mail
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 사용자 ID - UserID

        /// <summary>
        /// 사용자 ID
        /// </summary>
        [JsonProperty("userId")]
        public string UserID { get; set; }

        #endregion
        #region 메일 ID - MailID

        /// <summary>
        /// 메일 ID
        /// </summary>
        [JsonProperty("mailId")]
        public string MailID { get; set; }

        #endregion
        #region 제목 - Subject

        /// <summary>
        /// 제목
        /// </summary>
        [JsonProperty("subject")]
        public string Subject { get; set; }

        #endregion
        #region 컨텐트 - Content

        /// <summary>
        /// 컨텐트
        /// </summary>
        [JsonProperty("contents")]
        public string Content { get; set; }

        #endregion
        #region 컨텐트 타입 - ContentType

        /// <summary>
        /// 컨텐트 타입
        /// </summary>
        [JsonProperty("contentType")]
        public string ContentType { get; set; }

        #endregion
        #region 문서 타입 - DocumentType

        /// <summary>
        /// 문서 타입
        /// </summary>
        [JsonProperty("docSecuType")]
        public string DocumentType { get; set; }

        #endregion
        #region 발송 시간 - SendTime

        /// <summary>
        /// 발송 시간
        /// </summary>
        [JsonProperty("sendDateVal")]
        public string SendTime { get; set; }

        #endregion
        #region 발송자 - Sender

        /// <summary>
        /// 발송자
        /// </summary>
        [JsonProperty("sender")]
        public Sender Sender { get; set; }

        #endregion
        #region 수신자 리스트 - RecipientList

        /// <summary>
        /// 수신자 리스트
        /// </summary>
        [JsonProperty("recipients")]
        public List<Recipient> RecipientList { get; set; } = new List<Recipient>();

        #endregion
    }
}