﻿using Newtonsoft.Json;

namespace TestProject
{
    /// <summary>
    /// 수신자
    /// </summary>
    public class Recipient
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 성명 - Name

        /// <summary>
        /// 성명
        /// </summary>
        [JsonProperty("name")]
        public string Name { get; set; }

        #endregion
        #region E 메일 주소 - EMailAddress

        /// <summary>
        /// E 메일 주소
        /// </summary>
        [JsonProperty("emailAddress")]
        public string EMailAddress { get; set; }

        #endregion
        #region 수신자 타입 - RecipientType

        /// <summary>
        /// 수신자 타입
        /// </summary>
        [JsonProperty("recipientType")]
        public string RecipientType  { get; set; }

        #endregion
    }
}